import acm.program.*;
import acm.util.*;

/* A program that simulates flipping coins until three heads and
 * three tails have been flipped.
 */
public class FlippingCoins extends ConsoleProgram {
	/* The number of each outcome necessary. */
	private static final int AMOUNT_NEEDED = 3;

	public void run() {
		int numHeads = 0;
		int numTails = 0;
		
		/* Keep looping while we have too few heads or too few tails. */
		while (numHeads < AMOUNT_NEEDED || numTails < AMOUNT_NEEDED) {
			RandomGenerator rgen = RandomGenerator.getInstance();
			
			/* Flip the coin. "true" means heads, and "false" means tails. */
			if (rgen.nextBoolean()) {
				numHeads++;
			} else {
				numTails++;
			}
		}
		
		int numFlips = numHeads + numTails;
		println("We needed " + numFlips + " flips.");
	}
}
